Everstack
API ReferenceSandboxList Crons

List Crons

GET/v1/sandbox/crons
GET/v1/sandbox/crons

Your instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.

Parameters

NameInTypeRequiredDescription
tenantIdquerystringNo
sandboxIdquerystringNo
limitqueryintegerNo
offsetqueryintegerNo

Responses

200 List sandbox cron schedules

PropertyTypeDescription
cronsobject[]
totalinteger

default An unexpected error response.

PropertyTypeDescription
codeinteger
messagestring
detailsobject[]

Request

curl -X GET "https://{instance}.{region}.everstack.ai/v1/sandbox/crons" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/crons", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json",
  },
});
const data = await response.json();
import requests

response = requests.get(
    "https://{instance}.{region}.everstack.ai/v1/sandbox/crons",
    headers={
        "Authorization": "Bearer YOUR_API_KEY",
        "Content-Type": "application/json",
    },
)
data = response.json()

Response

{
  "crons": [
    {
      "id": "string",
      "tenantId": "string",
      "sandboxId": "string",
      "sessionId": "string",
      "name": "string",
      "schedule": "string",
      "command": "string",
      "workDir": "string",
      "timeoutSeconds": 0,
      "enabled": true,
      "lastRunAt": "2024-01-01T00:00:00Z",
      "nextRunAt": "2024-01-01T00:00:00Z",
      "runCount": 0,
      "errorCount": 0,
      "lastError": "string",
      "autoRecreate": true,
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z"
    }
  ],
  "total": 0
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}